using Microsoft.Xna.Framework;

namespace XQUEST.GameObjectManagement
{
  public abstract class GameObject3D : GameObject
  {
    #region Fields

    public Vector3 Position;
    public Vector3 Velocity;
    public Vector3 Acceleration;
    public Vector3 Rotation;

    protected float movementSpeed;
    private float turnSpeed;

    #endregion

    #region Constructors
    
    protected GameObject3D(Game game)
      : base(game)
    {
      
    }

    #endregion

    #region Properties

    public float TurnSpeed
    {
      get { return turnSpeed; }
      set { turnSpeed = value; }
    }

    public float MovementSpeed
    {
      get { return movementSpeed; }
      set { movementSpeed = value; }
    }

    #endregion
  }
}